Available buyer market: Korean
The Korea Domestic Rocket Warehouse Order API (Rocket Growth Order API) allows you to programmatically retrieve order information. This API enables you to develop fast, flexible, and customized applications in areas such as order synchronization, order analysis, and demand-driven decision support tools. The Order API supports orders placed after the release date.
Note: This API is limited to 50 calls per minute.
Path
GET
/v2/providers/rg_open_api/apis/api/v1/vendors/{vendorId}/rg/orders
Example
https://api-gateway.coupang.com/v2/providers/rg_open_api/apis/api/v1/vendors/A00123456/rg/orders
Request Param
| Name | Required | Type | Description |
| vendorId | O | String | Used to query the seller's orders by seller ID. |
| paidDateFrom | O | String |
Start Date for Query (For example: 20240709 ) |
| paidDateTo | O | String |
End Date for Query (For example: 20240809 ) |
| nextToken | String |
A generated list of strings is used to retrieve the next page of results. If a nextToken is returned, pass the value of nextToken to the next request.If no nextToken is returned, there is no more data to retrieve. |
请求体
无
返回消息
| Name | Type | Description | ||||
|---|---|---|---|---|---|---|
| code | Integer | Server return code |
||||
| message | String | Server return message |
||||
| data | Array | Result list If there are no results, an empty list is returned |
||||
| orderId | Integer | Order number |
||||
| vendorId | String | Vendor ID |
||||
| paidAt | String | Date/time when payment was completed (Time stamp)
1746093162000
|
||||
| data | Array | Order information list |
||||
| vendorItemId | Integer | OptionID |
||||
| productName | String | Product Name |
||||
| salesQuantity | Integer | Quantity of product sold |
||||
| salesPrice | String | Unit sale price of the product |
||||
| currency | String | Currency of the unit sale price |
||||
Return Message
{
"code": 200,
"message": "SUCCESS",
"data": [
{
"vendorId": "A00123456",
"orderId": 70000000000,
"paidAt": "1746093162000"
"orderItems": [{
"vendorItemId": 0,
"productName": "Nike running shoe size 7",
"salesQuantity": 1,
"unitSalesPrice": 27800,
"currency": "KRW"
}]
},
{
"vendorId": "A00123456",
"orderId": 70000000001,
"paidAt": "1746093162000"
"orderItems": [{
"vendorItemId": 0,
"productName": "Nike running shoe size 8",
"salesQuantity": 2,
"unitSalesPrice": 24900,
"currency": "KRW"
}]
}
],
"nextToken": "17189443970001139254740404666368"
}Error Code
| HTTP Status Code (Error Type) | Error Message | Solution |
| 400 (Check Request Parameters) | The request is missing parameters or contains invalid parameters and cannot be parsed. | Please provide the corresponding parameters. |
| 400 (Check Request Parameters) | Invalid order number. | Please verify that the order number you entered is correct. |
| 400 (Check Request Parameters) | Unable to query orders from other sellers. | Please verify that the seller ID (vendorId) you entered is correct.
|